FilteringCodecsByContentTypeSettings (Grails 6.0.0)

Package: org.grails.web.pages

## [Java] Class FilteringCodecsByContentTypeSettings

- org.grails.web.pages.FilteringCodecsByContentTypeSettings

-     public class FilteringCodecsByContentTypeSettings
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `BEAN_NAME` |
    `static java.lang.String` | `CONFIG_PROPERTY_CODEC_FOR_CONTENT_TYPE` |
    `private static java.lang.String` | `WILDCARD_CONTENT_TYPE` |
    `java.util.Map<java.util.regex.Pattern, Encoder>` | `contentTypePatternToEncoderMapping` |
    `java.util.Map<java.lang.String, Encoder>` | `contentTypeToEncoderMapping` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FilteringCodecsByContentTypeSettings (GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Map` | `getConfigSettings(Config config)`
    `` | `public Encoder` | `getEncoderForContentType(java.lang.String contentType)`
    `` | `public void` | `initialize(GrailsApplication grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String BEAN_NAME

    - #### public static final java.lang.String CONFIG_PROPERTY_CODEC_FOR_CONTENT_TYPE

    - #### private static final java.lang.String WILDCARD_CONTENT_TYPE

    - #### java.util.Map<java.util.regex.Pattern, Encoder> contentTypePatternToEncoderMapping

    - #### java.util.Map<java.lang.String, Encoder> contentTypeToEncoderMapping

  - ### Constructor Detail

    - #### public FilteringCodecsByContentTypeSettings(GrailsApplication grailsApplication)

  - ### Method Detail

    - #### protected java.util.Map getConfigSettings(Config config)

    - #### public Encoder getEncoderForContentType(java.lang.String contentType)

    - #### @java.lang.SuppressWarnings("rawtypes") public void initialize(GrailsApplication grailsApplication)